QGIS Application - Bug report #7530
if just one record is show in the table of attributes, then editing manually has not effect
2013-04-06 10:42 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16474
Description

steps

opena TA

use a filter to just see one record in the table

toggle editing

manually edit values

change cell with the "tab" key

the new value is discarded and the old shows again

Associated revisions

Revision 9¢9dd2b4 - 2013-04-08 03:38 PM - Matthias Kuhn
[FIX #7530] Attribute table: Edited feature not updated in single row

If only a single row was shown, the outdated cached feature would be shown even

when the attribute behind it was edited.

History

#1 - 2013-04-08 06:43 AM - Matthias Kuhn
- Status changed from Open to In Progress

Fixed, waiting for pull
https://github.com/qgis/Quantum-GIS/pull/508

#2 - 2013-04-08 12:20 PM - Matthias Kuhn
- Status changed from In Progress to Closed

Fixed in changeset commit:"9c9dd2b4cdb38ad9bd7293a7ec481386e8122960".
